%global qt_module qtwebview

# no docs
#global docs 1
# consider enabling
#global examples 1

Summary: Qt5 - WebView component
Name:    qt5-%{qt_module}
Version: 5.7.1
Release: 2%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/5.7/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz

# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtdeclarative-devel >= %{version}
BuildRequires: qt5-qtwebengine-devel >= %{version}

%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

%description
Qt WebView provides a way to display web content in a QML application
without necessarily including a full web browser stack by using native
APIs where it makes sense.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
Requires: qt5-qtdeclarative-devel%{?_isa}
%description devel
%{summary}.

%if 0%{?docs}
%package doc
Summary: API documentation for %{name}
License: GFDL
Requires: %{name} = %{version}-%{release}
BuildRequires: qt5-qdoc
BuildRequires: qt5-qhelpgenerator
BuildArch: noarch
%description doc
%{summary}.
%endif

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%setup -q -n %{qt_module}-opensource-src-%{version}%{?prerelease:-%{prerelease}}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. \
  %{?_qt5_examplesdir:CONFIG+=qt_example_installs}

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%if 0%{?docs}
make install_docs INSTALL_ROOT=%{buildroot} -C %{_target_platform}
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE.GPLv2 LICENSE.GPLv3 LICENSE.LGPLv3
%{_qt5_libdir}/libQt5WebView.so.5*
%{_qt5_qmldir}/QtWebView

%files devel
%{_qt5_headerdir}/QtWebView/
%{_qt5_libdir}/libQt5WebView.so
%{_qt5_libdir}/libQt5WebView.prl
%{_qt5_libdir}/pkgconfig/Qt5WebView.pc
%{_qt5_libdir}/cmake/Qt5WebView
%{_qt5_prefix}/mkspecs/modules/*
%exclude %{_qt5_libdir}/libQt5WebView.la

%if 0%{?docs}
%files doc
%license LICENSE.FDL
%{_qt5_docdir}/qtwebview.qch
%{_qt5_docdir}/qtwebview/
%endif

# no examples, yet
%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif


%changelog
* Thu Feb 02 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.7.1-2
- ExclusiveArch: %%{qt5_qtwebengine_arches}

* Thu Nov 10 2016 Helio Chissini de Castro <helio@kde.org> - 5.7.1-1
- First package

